> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend customer

> Suspend a customer to temporarily pause their activity in your program

## Endpoint

```
POST https://api.partnero.com/v1/customers/{key}/suspend
```

<Note>
  This endpoint is available for affiliate programs only. For refer-a-friend programs, see [referral customers](/api-reference/refer-a-friend/customers#archive-customer).
</Note>

Suspending a customer pauses their activity. Their transactions will not generate commissions while suspended. Use [approve](/api-reference/customers/approve) to reactivate them.

## Path parameters

| Parameter | Type   | Required | Description           |
| --------- | ------ | -------- | --------------------- |
| `key`     | string | Yes      | Customer's unique key |

## Request

```bash cURL theme={null}
curl --location --request POST 'https://api.partnero.com/v1/customers/customer_123/suspend' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "status": 1
  }
  ```
</ResponseExample>

## Error responses

| Status | Error              | Solution                          |
| ------ | ------------------ | --------------------------------- |
| 404    | Customer not found | Check the customer key is correct |
